Name:		devilutionx
Version:	1.0.0
Release:	1%{dist}
Summary:	Diablo build for modern operating systems
Group:		Amusements/Games
License:	Unlicense
URL:		https://github.com/diasurgical/devilutionX
Source0:	https://github.com/diasurgical/devilutionX/archive/devilutionX-%{version}.tar.gz
Source1:	devilutionx.desktop
BuildRequires:	desktop-file-utils
BuildRequires:	gcc-c++
BuildRequires:	cmake
BuildRequires:	glibc-devel
BuildRequires:	SDL2-devel
BuildRequires:	SDL2_ttf-devel
BuildRequires:	SDL2_mixer-devel
BuildRequires:	libsodium-devel
BuildRequires:	libasan
BuildRequires:	libubsan

%description
A reimplementation of Blizzard's Diablo compatible with modern operating systems.

%prep
%setup -q -n devilutionX-%{version}

%build
cd build
cmake ..
make

%install
cd build
make INSTALL_ROOT=%{buildroot}
cd ..
mkdir -p %{buildroot}%{_bindir}

mkdir -p %{buildroot}%{_datadir}/icons/hicolor/16x16/apps/
mkdir -p %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/
mkdir -p %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/
install -p -D -m644 Packaging/resources/16.png %{buildroot}%{_datadir}/icons/hicolor/16x16/apps/%{name}.png
install -p -D -m644 Packaging/resources/Diablo_32.png %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
install -p -D -m644 Packaging/resources/Diablo_48.png %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/%{name}.png

install -m 755 build/devilutionx %{buildroot}%{_bindir}/%{name}
desktop-file-install --remove-category="Qt" --dir=%{buildroot}%{_datadir}/applications %{SOURCE1}

%files
%license LICENSE
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/16x16/apps/%{name}.png
%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
%{_datadir}/icons/hicolor/48x48/apps/%{name}.png

%changelog
* Sun Jan 12 2020 Brandon Nielsen <nielsenb@jetfuse.net> 1.0.0-1
- Initial specfile
